org.apache.uima.cas.impl

## Class CASCompleteSerializer

- java.lang.Object
- - org.apache.uima.cas.impl.CASCompleteSerializer

- All Implemented Interfaces:
    Serializable

      public class CASCompleteSerializer
      extends Object
      implements Serializable

  This is a small object which contains - CASMgrSerializer instance - a Java serializable form of the type system + index definitions - CASSerializer instance - a Java serializable form of the CAS including lists of which FSs are indexed
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CASCompleteSerializer()` Constructor for CASCompleteSerializer.
    `CASCompleteSerializer(CASImpl cas)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CASMgrSerializer` | `getCASMgrSerializer()`
    `CASSerializer` | `getCASSerializer()`
    `void` | `setCasMgrSerializer(CASMgrSerializer casMgrSer)` Sets the casMgrSer.
    `void` | `setCasSerializer(CASSerializer casSer)` Sets the casSer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CASCompleteSerializer

          public CASCompleteSerializer()

      Constructor for CASCompleteSerializer.

    - #### CASCompleteSerializer

          public CASCompleteSerializer(CASImpl cas)

  - ### Method Detail

    - #### getCASMgrSerializer

          public CASMgrSerializer getCASMgrSerializer()

    - #### getCASSerializer

          public CASSerializer getCASSerializer()

    - #### setCasMgrSerializer

          public void setCasMgrSerializer(CASMgrSerializer casMgrSer)

      Sets the casMgrSer.
      Parameters:
        `casMgrSer` - The casMgrSer to set

    - #### setCasSerializer

          public void setCasSerializer(CASSerializer casSer)

      Sets the casSer.
      Parameters:
        `casSer` - The casSer to set

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.